import { configureStore } from '@reduxjs/toolkit';

import alertReducer from './reducers/alertSlice';
import agentReducer from './reducers/agentSlice';
import stationReducer from './reducers/stationSlice';
import federatedReducer from './reducers/federatedSlice';

export default configureStore({
  reducer: {
    alert: alertReducer,
    agent: agentReducer,
    federated: federatedReducer,
    station: stationReducer,
  },
  middleware: (getDefaultMiddleware) =>
    getDefaultMiddleware({
      serializableCheck: {
        ignoreActions: ['station/fetchFederatedContainerConfig/fulfilled'],
        ignoredPaths: ['station.containerConfig'],
      },
    }),
});
